OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.MultiBind

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBMultiBind :: MonadIO m => m Bool
- gl_ARB_multi_bind :: Bool
- glBindBuffersBase :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLuint -> m ()
- glBindBuffersRange :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLuint -> Ptr GLintptr -> Ptr GLsizeiptr -> m ()
- glBindImageTextures :: MonadIO m => GLuint -> GLsizei -> Ptr GLuint -> m ()
- glBindSamplers :: MonadIO m => GLuint -> GLsizei -> Ptr GLuint -> m ()
- glBindTextures :: MonadIO m => GLuint -> GLsizei -> Ptr GLuint -> m ()
- glBindVertexBuffers :: MonadIO m => GLuint -> GLsizei -> Ptr GLuint -> Ptr GLintptr -> Ptr GLsizei -> m ()

# Extension Support

glGetARBMultiBind :: MonadIO m => m Bool Source #

Is the ARB_multi_bind extension supported?

gl_ARB_multi_bind :: Bool Source #

Is the ARB_multi_bind extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBMultiBind` in those cases instead.

# Functions

glBindBuffersBase Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLuint | `buffers` pointing to `count` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glBindBuffersRange Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLuint | `buffers` pointing to `count` elements of type `GLuint`.
-> Ptr GLintptr | `offsets` pointing to `count` elements of type `GLintptr`.
-> Ptr GLsizeiptr | `sizes` pointing to `count` elements of type `GLsizeiptr`.
-> m () |

Manual page for OpenGL 4.x.

glBindImageTextures Source #

Arguments

:: MonadIO m |
=> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLuint | `textures` pointing to `count` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glBindSamplers Source #

Arguments

:: MonadIO m |
=> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLuint | `samplers` pointing to `count` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glBindTextures Source #

Arguments

:: MonadIO m |
=> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLuint | `textures` pointing to `count` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 4.x.

glBindVertexBuffers Source #

Arguments

:: MonadIO m |
=> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLuint | `buffers` pointing to `count` elements of type `GLuint`.
-> Ptr GLintptr | `offsets` pointing to `count` elements of type `GLintptr`.
-> Ptr GLsizei | `strides` pointing to `count` elements of type `GLsizei`.
-> m () |

Manual page for OpenGL 4.x.